#region License
//
//  FileSysCache - A cache provider for NHibernate using System.Web.Caching.Cache.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// CLOVER:OFF
//
#endregion

using System.Collections;
using System.Xml;
using NUnit.Framework;

namespace NHibernate.Caches.FileSysCache.Tests
{
	[TestFixture]
	public class FileSysCacheSectionHandlerFixture
	{
		private FileSysCacheSectionHandler handler;
		private XmlNode section;
        private string xml = @"<filesyscache path=""C:\Projects\NHibernate.Caches.FileSysCache.Tests\bin\Debug\Cache""><cache region=""foo"" expiration=""500"" priority=""4"" /></filesyscache>";

		[SetUp]
		public void Init()
		{
			handler = new FileSysCacheSectionHandler();
			XmlDocument doc = new XmlDocument();
			doc.LoadXml( xml );
			section = doc.DocumentElement;
		}

        [Ignore("This section should never be null; should add validation at some point.")]
		public void TestGetConfigNullSection()
		{
			section = new XmlDocument();
			object result = handler.Create( null, null, section );
			Assert.IsNotNull( result );
            Assert.IsTrue(result is FileSysCacheConfig);
            ArrayList caches = (result as FileSysCacheConfig).Caches;
			Assert.AreEqual( 0, caches.Count );
		}

		[Test]
		public void TestGetConfigFromFile()
		{
			object result = handler.Create( null, null, section );
			Assert.IsNotNull( result );
			Assert.IsTrue( result is FileSysCacheConfig );
            ArrayList caches = (result as FileSysCacheConfig).Caches;
            Assert.AreEqual(1, caches.Count);
		}
	}
}
